Documents

Document Solution Update

PUT
/documents/solution/{documentSolutionGuid}/update

Updates an existing document solution.

Authorization

AuthorizationBearer <token>

JWT token to authenticate the request.

In: header

X-Api-Key<token>

API key, sent as a request header.

In: header

Path Parameters

documentSolutionGuid*string

GUID of the document solution to update.

Formatuuid

Request Body

application/json

The DocumentSolutionModel payload to update. Server-managed fields (ids, timestamps, links, isDeleted) are ignored.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/documents/solution/d290f1ee-6c54-4b01-90e6-d701748f0851/update" \  -H "Content-Type: application/json" \  -d '{    "name": "Quarterly Invoice Package",    "description": "Bundles the invoice template with Q3 account data.",    "dataGuid": "3f2504e0-4f89-41d3-9a0c-0305e82c3301"  }'
{  "result": {    "data": {      "documentSolution": {        "documentSolutionGuid": "d290f1ee-6c54-4b01-90e6-d701748f0851",        "subscriptionGuid": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",        "ownerGuid": "1a2b3c4d-5e6f-4a1b-8c2d-3e4f5a6b7c8d",        "lastModifiedUserGuid": "1a2b3c4d-5e6f-4a1b-8c2d-3e4f5a6b7c8d",        "dataGuid": "3f2504e0-4f89-41d3-9a0c-0305e82c3301",        "name": "Quarterly Invoice Package",        "description": "Bundles the invoice template with Q3 account data.",        "createdDate": "2026-07-14T09:30:00.0000000+00:00",        "lastModifiedDate": "2026-07-14T09:30:00.0000000+00:00",        "isDeleted": false      }    },    "statusCode": 200,    "message": "OK"  },  "origin": "https://app.example.com",  "dateTime": "2026-07-14T09:30:00.0000000+00:00",  "operationId": "0HN7GK9M4T2R5"}
{  "code": "DATA_NAME_REQUIRED",  "message": "Name is required."}
Empty
Empty
{  "code": "GET_DATA_SOURCE_ERROR",  "message": "An unexpected error occurred.",  "eventId": "a1b2c3d4"}